Subject: Question aboug cyber2000fb.c

From: "Chien-Min Lee" <[email-masked]>
Date: Fri, 05 May 2000 23:47:33 +0800 (CST)

Dear All:

 I have a little question of the code in file drivers/video/cyber2000fb.c.

 In function "cyberprofb_decode_clock":

 If we use the divisors_2010[] array to count the value of pll_ps.

cyber2000fb_default_mode = {
	refresh:	60,
	xres:		640,
	yres:		480,
	pixclock:	39722, 

Then with default pixel clock value 39722 (ps), we will get "pll_ps =  6620".

 However, by this value,  It can not find suitable mult & div1 under following
  if-else statement group.

 Does this mean that this driver does not support 2010 yet!??
 BTW, what does those numbers in comment block mean?? 
 I do not understand them...  >_<

 Thanks!

 kirk

--
----== Mailed via Openfind ==-----
http://mail2000.com.tw/ ���ѧK�O�� e-mail �H�c�A��

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Fri, 5 May 2000 19:34:50 +0100 (BST)

>  However, by this value,  It can not find suitable mult & div1 under following

Oops.

>  Does this mean that this driver does not support 2010 yet!??

No.  It just means that that resolution is not supported because we don't
know what PLL parameters to give the Cyber2010.

>  I do not understand them...  >_<

They are a list of the possible resolutions and scan rates that are
supported.  Basically, anything with a "*" means it works on the 2000,
and if the pixel clock lands on one of the clock periods for a 2010, then
it is also supported.  If it's not there, then that resolution isn't going
to work.

Having said that, I now have a new cyber2000fb.c which calculates the PLL
values.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |